Duitsland waarschuwt voor Apple iOS-zwakten

05/08/10 om 10:34 - Bijgewerkt om 10:34

Bron: Datanews

Het besturingssysteem van de iPhone, iPad en iPod Touch heeft twee gevaarlijke zwakten, meldt het Duitse BSI.

Duitsland waarschuwt voor Apple iOS-zwakten

Het besturingssysteem van de iPhone, iPad en iPod Touch heeft twee gevaarlijke zwakten, meldt het Duitse BSI.

Het gereputeerde Duitse Bundesamt fûr Sicherheit in der Informationstechnik (BSI) stelt dat twee zwakke plekken in het Apple iOS toelaten dat derden de volledige beheerrechten over het systeem kunnen verwerven. Zo kunnen alle data in het systeem (inclusief paswoorden die worden ingetypt) worden gelezen, de locatie van de gebruiker uitgelezen en zelfs telefoongesprekken afgeluisterd, aldus het BSI.

De problemen zouden bekend zijn maar nog niet gepatcht. Apple zou naar verluidt de zaak bestuderen. Er zouden nog geen echte aanvallen op basis van deze zwakheden zijn gemeld. Op het voorbije DefCon hackersevent werd wel getoond hoe een toepassing om de iPhone te 'jailbreaken' - JailbreakMe - gebruik maakte van die zwakheden.

Ironisch genoeg bracht het Amerikaanse onderzoeksbureau Forrester pas nog een rapport uit dat stelt dat de iPad veilig genoeg is voor zakelijk gebruik.

Concreet zouden de problemen te maken hebben met de wijze waarop het besturingssysteem zelf omgaat met pdf-bestanden. Een bezoek aan een besmette site of het aanklikken van een besmet pdf-bestand zouden volstaan om het toestel van malware te voorzien. Het BSI adviseert dan ook om "in afwachting van een software-update door de producent, pdf-documenten niet open te klikken op mobiele iOS-toestellen. Dat geldt zowel voor [pdf-documenten op] websites als voor [attachments bij] e-mails en andere toepassingen." Ook het aanklikken van pdf-documenten in zoekresultaten wordt afgeraden, terwijl het gebruik van mobiele browsers tot gekende en betrouwbare sites moet worden beperkt.

De getroffen versies zijn iOS v.3.1.2 tot 4.0.1 voor de iPhone, iOS v.3.2 tot 3.2.1 voor de iPad en iOS v. 3.1.2 tot 4.0 voor de iPod Touch. Het BSI sluit niet uit dat vroegere versies van het iOS eveneens kwetsbaar zijn.

Het BSI heeft zich in de voorbije jaren gepositioneerd als een van de meest vooraanstaande organisaties in Europa inzake beveiligingsaspecten van ict, zowel voor professionele gebruikers als consumenten.

Lees meer over:

Onze partners